summaryrefslogtreecommitdiff
path: root/packages/openprotium-init
diff options
context:
space:
mode:
authorDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
committerDenys Dmytriyenko <denis@denix.org>2009-03-17 14:32:59 -0400
commit709c4d66e0b107ca606941b988bad717c0b45d9b (patch)
tree37ee08b1eb308f3b2b6426d5793545c38396b838 /packages/openprotium-init
parentfa6cd5a3b993f16c27de4ff82b42684516d433ba (diff)
rename packages/ to recipes/ per earlier agreement
See links below for more details: http://thread.gmane.org/gmane.comp.handhelds.openembedded/21326 http://thread.gmane.org/gmane.comp.handhelds.openembedded/21816 Signed-off-by: Denys Dmytriyenko <denis@denix.org> Acked-by: Mike Westerhof <mwester@dls.net> Acked-by: Philip Balister <philip@balister.org> Acked-by: Khem Raj <raj.khem@gmail.com> Acked-by: Marcin Juszkiewicz <hrw@openembedded.org> Acked-by: Koen Kooi <koen@openembedded.org> Acked-by: Frans Meulenbroeks <fransmeulenbroeks@gmail.com>
Diffstat (limited to 'packages/openprotium-init')
-rw-r--r--packages/openprotium-init/files/boot/disk64
-rw-r--r--packages/openprotium-init/files/boot/flash13
-rw-r--r--packages/openprotium-init/files/boot/network16
-rw-r--r--packages/openprotium-init/files/boot/nfs19
-rw-r--r--packages/openprotium-init/files/boot/udhcpc.script17
-rw-r--r--packages/openprotium-init/files/conffiles55
-rw-r--r--packages/openprotium-init/files/functions405
-rw-r--r--packages/openprotium-init/files/initscripts/fixfstab91
-rw-r--r--packages/openprotium-init/files/initscripts/loadmodules.sh11
-rw-r--r--packages/openprotium-init/files/initscripts/rmrecovery4
-rw-r--r--packages/openprotium-init/files/initscripts/sysconfsetup46
-rw-r--r--packages/openprotium-init/files/initscripts/syslog.buffer23
-rw-r--r--packages/openprotium-init/files/initscripts/syslog.file23
-rw-r--r--packages/openprotium-init/files/initscripts/syslog.network28
-rw-r--r--packages/openprotium-init/files/initscripts/umountinitrd.sh34
-rw-r--r--packages/openprotium-init/files/initscripts/zleds29
-rw-r--r--packages/openprotium-init/files/links.conf6
-rw-r--r--packages/openprotium-init/files/modulefunctions39
-rw-r--r--packages/openprotium-init/files/reflash163
-rw-r--r--packages/openprotium-init/files/sysconf793
-rw-r--r--packages/openprotium-init/files/turnup861
-rw-r--r--packages/openprotium-init/openprotium-init_0.10.bb150
22 files changed, 0 insertions, 2890 deletions
diff --git a/packages/openprotium-init/files/boot/disk b/packages/openprotium-init/files/boot/disk
deleted file mode 100644
index e1096e225a..0000000000
--- a/packages/openprotium-init/files/boot/disk
+++ /dev/null
@@ -1,64 +0,0 @@
-#!/bin/sh
-# boot from the hard disk partition "$1" (which
-# must be given) using options from the rest of
-# the command line.
-#
-# Use the standard init path (see /etc/init.d/rcS)
-export PATH=/sbin:/bin:/usr/sbin:/usr/bin
-#
-# Load the helper functions
-. /etc/default/functions
-. /etc/default/modulefunctions
-#
-#
-if test -n "$1"
-then
- device="$1"
- shift
- # proc is needed for UUID mount and module load
- mount -t proc proc /proc
- # load USB & SCSI storage modules (/proc required!)
- if [ "$(machine)" != "storcenter" ]; then
- echo "boot: loading modules required for disk boot"
- loaddiskmods
- # waiting for disk (FIXME)
- sleep=6
- test "$sleep" -gt 0 && sleep "$sleep"
- else
- scc -l redflash -f auto
- fi
- #
- # fire the boot
- echo "boot: rootfs: mount $* $device [$UUID]"
- #
- # Mount read-write because before exec'ing init
- # If a UUID is given (in the environment) this
- # is used in preference to the device, but if
- # the UUID mount fails a standard device mount
- # is attempted.
- if test -n "$UUID" &&
- mount "$@" -U "$UUID" /mnt ||
- mount "$@" "$device" /mnt
- then
- # checkmount checks for sh, chroot, init
- # and /mnt (i.e. /mnt/mnt in this case)
- if checkmount /mnt
- then
- # if mounted, then move /dev to the new root
- mount --bind /dev /mnt/dev
- # pivot to /initrd if available, else /mnt
- cd /
- if test -d /mnt/initrd
- then
- swivel mnt initrd
- else
- swivel mnt mnt
- fi
- # swivel failed
- fi
- # Failure: unmount the partition
- umount /mnt
- fi
-fi
-# fallback - use the flash boot
-exec /boot/flash
diff --git a/packages/openprotium-init/files/boot/flash b/packages/openprotium-init/files/boot/flash
deleted file mode 100644
index 40f64c9701..0000000000
--- a/packages/openprotium-init/files/boot/flash
+++ /dev/null
@@ -1,13 +0,0 @@
-#!/bin/sh
-# boot from the current (flash) root partition
-# nothing need be done apart from setting the
-# system LED status correctly
-. /etc/default/functions
-scc -l redflash -f auto
-test -x /sbin/init && exec /sbin/init
-# fallback if /sbin/init has been deleted (bad!)
-scc -l red
-exec <>/dev/console >&0 2>&0
-test -x /sbin/sulogin && exec /sbin/sulogin
-test -x /bin/sh && exec /bin/sh
-exit 1
diff --git a/packages/openprotium-init/files/boot/network b/packages/openprotium-init/files/boot/network
deleted file mode 100644
index 599250e744..0000000000
--- a/packages/openprotium-init/files/boot/network
+++ /dev/null
@@ -1,16 +0,0 @@
-#!/bin/sh
-# bring up the network before boot, used to allow
-# netconsole logging and NFS boot. This runs out
-# of flash, but that's ok because the script doesn't
-# leave any process running.
-#
-# NOTE: /etc/default/functions defines ifup as a shell
-# function!
-. /etc/default/functions
-#
-# Now all the information for booting should be in the configuration
-# file. Config the loopback and network interfaces.
-ifconfig lo 127.0.0.1 up
-iface="$(config iface)"
-test -n "$iface" && ifup "$iface"
-# exit code is true only if the interface config has succeeded
diff --git a/packages/openprotium-init/files/boot/nfs b/packages/openprotium-init/files/boot/nfs
deleted file mode 100644
index 7cfce66cbb..0000000000
--- a/packages/openprotium-init/files/boot/nfs
+++ /dev/null
@@ -1,19 +0,0 @@
-#!/bin/sh
-# boot from the nfs partition "$1" (which
-# must be given) using options from the rest of
-# the command line.
-#
-# Use the standard init path (see /etc/init.d/rcS)
-export PATH=/sbin:/bin:/usr/sbin:/usr/bin
-#
-. /etc/default/functions
-scc -l redflash -f auto
-#
-if /boot/network
-then
- # network is up and running, the NFS mount will
- # now succeed (possibly), use /boot/disk
- exec /boot/disk "$@"
-fi
-# fallback - use the flash boot
-exec /boot/flash
diff --git a/packages/openprotium-init/files/boot/udhcpc.script b/packages/openprotium-init/files/boot/udhcpc.script
deleted file mode 100644
index 3f437e3143..0000000000
--- a/packages/openprotium-init/files/boot/udhcpc.script
+++ /dev/null
@@ -1,17 +0,0 @@
-#!/bin/sh
-# executed by udhcpc to do the real work of configuring an interface
-# writes the result (if any) to file descriptor 9
-case "$1" in
-deconfig) # ignored
- :;;
-renew|bound) # this gives the real information
- test -n "$ip" && {
- echo "ip='$ip'"
- echo "subnet='$subnet'"
- echo "broadcast='$broadcast'"
- echo "router='$router'"
- } >&9;;
-leasefail) # ignore - probably no dhcp server
- :;;
-*) echo "udhcpc: $*: command not recognised" >&2;;
-esac
diff --git a/packages/openprotium-init/files/conffiles b/packages/openprotium-init/files/conffiles
deleted file mode 100644
index e1408a3227..0000000000
--- a/packages/openprotium-init/files/conffiles
+++ /dev/null
@@ -1,55 +0,0 @@
-# conffiles
-# Known SlugOS configuration files. These files are preserved on
-# a flash upgrade. Other configuration files, found from:
-#
-# /usr/lib/ipkg/*.conffiles
-# /etc/*.conf
-#
-# are preserved too with an operation of 'diff' if they have been
-# changed since /etc/.configured was created.
-#
-# Lines starting with # are comments, other lines have
-# two fields:
-#
-# operation file
-#
-# The file must *NOT* have a leading /
-#
-# operation may be:
-# ignore Do not preserve this file
-# preserve Preserve this file unconditionally
-# diff Compare file with the new version, ask if different
-#
-preserve linuxrc
-preserve etc/.configured
-preserve etc/TZ
-diff etc/default/conffiles
-diff etc/default/devpts
-preserve etc/default/rcS
-preserve etc/default/sysconf
-diff etc/default/usbd
-preserve etc/defaultdomain
-preserve etc/dropbear/dropbear_dss_host_key
-preserve etc/dropbear/dropbear_rsa_host_key
-preserve etc/ssh/ssh_host_dsa_key
-preserve etc/ssh/ssh_host_dsa_key.pub
-preserve etc/ssh/ssh_host_rsa_key
-preserve etc/ssh/ssh_host_rsa_key.pub
-preserve etc/fstab
-preserve etc/group
-preserve etc/gshadow
-preserve etc/hostname
-preserve etc/hosts
-preserve etc/localtime
-ignore etc/modules
-ignore etc/modules.conf
-preserve etc/motd
-preserve etc/network/interfaces
-preserve etc/ntp.drift
-preserve etc/passwd
-preserve etc/profile
-preserve etc/resolv.conf
-preserve etc/shadow
-preserve etc/syslog.conf
-preserve etc/timezone
-preserve root/.ssh/authorized_keys
diff --git a/packages/openprotium-init/files/functions b/packages/openprotium-init/files/functions
deleted file mode 100644
index 2700551cc4..0000000000
--- a/packages/openprotium-init/files/functions
+++ /dev/null
@@ -1,405 +0,0 @@
-#!/bin/sh
-# . this file to load the following utility functions
-#
-# hardware
-# the 'Hardware' string from cpuinfo, or, if not found
-# try a little harder with 'machine'
-hardware(){
- local hdw
- hdw=`sed -n 's!^Hardware *: !!p' /proc/cpuinfo`
- test -n "$hdw" || {
- hdw=`sed -n 's!^machine *: !!p' /proc/cpuinfo`
- }
- echo $hdw
-}
-#
-# machine
-# outputs an identifier of the current machine - i.e. the board
-# slugos is running on.
-machine(){
- case "$(hardware)" in
- *Coyote*) echo coyote;;
- *IXDPG425*) echo ixdpg425;;
- *WRV54G*) echo wrv54g;;
- *IXDP425*) echo ixdp425;;
- *IXDP465*) echo ixdp465;;
- *IXCDP1100*) echo ixcdp1100*;;
- *Avila*) echo avila;;
- *Loft*) echo loft;;
- *NAS?100d*) echo nas100d;;
- *NSLU2*) echo nslu2;;
- *StorCenter*) echo storcenter;;
- *) echo unknown;;
- esac
-}
-#
-# single_user_ok
-# if the machine is capable of single user interaction return
-# true, else return false. The result of this function is
-# preempted by setting SULOGIN to 'yes' or 'ok' in /etc/default/rcS
-single_user_ok() {
- # list known good machines in the 'case'
- test "$SULOGIN" = yes -o "$SULOGIN" = ok ||
- case "$(machine)" in
- ixdp*|avila|loft)
- test "$SULOGIN" != never;;
- *) return 1;;
- esac
-}
-#
-# load_functions "source"
-# load the functions in '/sbin/source' - relies on /sbin/source being
-# a shell script and having support for this function.
-load_functions(){
- test -n "$1" -a -x "/sbin/$1" && . "/sbin/$1" || {
- echo "$0: /sbin/$1: script not found" >&2
- return 1
- }
-}
-#
-# mtdev "name"
-# return (output) the character device name for flash parition "name"
-# /proc/mtd has the general form:
-# dev: size erasesize name
-# mtd5: 00020000 00020000 "FIS directory"
-# use this rather than hard-wiring the device because the partition
-# table can change - looking in /proc/mtd is more reliable.
-mtdev(){
- sed -n 's!^\(mtd[0-9][0-9]*\):[^"]*"'"$1"'"$!/dev/\1!p' /proc/mtd
-}
-#
-# mtblockdev "name"
-# as mtdev but output the name of the block (not character) device
-mtblockdev(){
- sed -n 's!^mtd\([0-9][0-9]*\):[^"]*"'"$1"'"$!/dev/mtdblock\1!p' /proc/mtd
-}
-#
-# mtsize "name"
-# the size of the partition as a hexadecimal value (with 0x at the front)
-mtsize(){
- sed -n 's!^mtd[0-9][0-9]*: \([^ ]*\)[^"]*"'"$1"'"$!0x\1!p' /proc/mtd
-}
-#
-# sysvalmatch "section" "name" 'pattern' "configuration file"
-# sysvalof "section" "name" "configuration file"
-# sysval "section" "name"
-# outputs the value of the SysConf variable 'name' from section 'section',
-# if there are multiple definitions only the last is output
-# NOTE: these functions should only be used internally, add entries to 'config'
-# below if necessary. This is because 'config' does the defaulting.
-sysvalmatch(){
- sed -n '/^\['"$1"'\]$/,/^\[.*\]$/s/^'"$2"'=\('"$3"'\)$/\1/p' "$4" | sed -n '$p'
-}
-sysvalof(){
- sysvalmatch "$1" "$2" '.*' "$3"
-}
-sysval(){
- test -r "$config_root/etc/default/sysconf" &&
- sysvalof "$1" "$2" "$config_root/etc/default/sysconf"
-}
-#
-# syssection "section"
-# outputs all the values from the given section changed to the format "name value"
-# (i.e. the '=' is dropped).
-syssection(){
- test -r "$config_root/etc/default/sysconf" &&
- sed -n '/^\['"$1"'\]$/,/^\[.*\]$/s/^\([^=]*\)=\(.*\)$/\1 \2/p' "$config_root/etc/default/sysconf"
-}
-#
-# config "value"
-# convenience callers for specific values to avoid mis-typing in scripts
-# NOTE: this function does the defaulting, 'sysval' does not!
-# config_root: if set this will override the root where config/sysval
-# looks for /etc/default/sysconf
-config(){
- local mac
- mac="$(test -r /proc/net/maclist &&
- sed -n '/^[0-9A-Za-z][0-9A-Za-z]:[0-9A-Za-z][0-9A-Za-z]:[0-9A-Za-z][0-9A-Za-z]:[0-9A-Za-z][0-9A-Za-z]:[0-9A-Za-z][0-9A-Za-z]:[0-9A-Za-z][0-9A-Za-z]$/p' /proc/net/maclist |
- sed -n 1p)"
- #
- case "$1" in
- mac) test -n "$mac" && echo "$mac";;
- host) if test -n "$(sysval network disk_server_name)"
- then
- sysval network disk_server_name
- elif test -n "$(sysval network default_server_name)"
- then
- sysval network default_server_name
- elif test -n "$mac"
- then
- echo "$mac" | sed -n 's/^\(..\):\(..\):\(..\):\(..\):\(..\):\(..\)$/slug\1\2\3\4\5\6/p'
- else
- # because we want the name to remain constant:
- echo "openprotium"
- fi;;
- domain) sysval network w_d_name;;
- iface) if test -n "$(sysval network lan_interface)"
- then
- sysval network lan_interface
- else
- echo eth0
- fi;;
- ip) if test -n "$(sysval network ip_addr)"
- then
- sysval network ip_addr
- else
- echo 192.168.1.16
- fi;;
- netmask)sysval network netmask;;
- gateway)sysval network gateway;;
- dns) sysval network dns_server1;;
- dns2) sysval network dns_server2;;
- dns3) sysval network dns_server3;;
- boot) if test -n "$(sysval network bootproto)"
- then
- sysval network bootproto
- else
- echo dhcp
- fi;;
- valid) test -r "$config_root/etc/default/sysconf" -a -n "$mac";;
- *) return 1;;
- esac
-}
-#
-# checkif "iface"
-# Validate an interface name by making sure that it exists
-# in /proc/net/dev (and is not lo). The listing outputs the
-# interface followed by a :, the check function looks for
-# something of the form '$1[a-zA-Z0-9]*:' and outputs the
-# part preceding the ':'
-checkif(){
- sed -n '/^[ ]*lo:/d;s/^[ ]*\('"$1"'[a-zA-Z0-9]*\):.*$/\1/p;tE;d;:E;q' /proc/net/dev
-}
-#
-# checkmount "mountpoint"
-# tests an already mounted mountpoint to see whether to attempt to
-# boot with this as root. Returns success if it appears ok.
-checkmount(){
- # basic test for init (the kernel will try to load this)
- # but require a shell in bin/sh too
- test \( -d "$1/mnt" \) -a \
- \( -x "$1/bin/sh" -o -h "$1/bin/sh" \) -a \
- \( -x "$1/usr/sbin/chroot" -o -h "$1/usr/sbin/chroot" -o \
- -x "$1/sbin/chroot" -o -h "$1/sbin/chroot" \) -a \
- \( -x "$1/sbin/init" -o -h "$1/sbin/init" -o \
- -x "$1/etc/init" -o -h "$1/etc/init" -o \
- -x "$1/bin/init" -o -h "$1/bin/init" \)
-}
-#
-# swivel "new root" "old root"
-# NOTE: the arguments must be paths relative to /, bad things
-# will happen if the arguments themselves start with /
-# Pivot to a new root. This does all the fancy pivot_root stuff
-# including closing streams and does a umount /proc - it doesn't
-# matter if this fails (failure codes are ignored), but if /proc
-# was mounted it must be restored by the caller on return.
-# Normally this function never returns!
-# On return 0,1,2 are connected to /dev/console - this may not
-# have been true before!
-swivel(){
- cd "$1"
- exec <&- >&- 2>&-
- # This is just-in-case the called mounted /proc and was
- # unable to close it because of the streams
- umount /proc 2>/dev/null
- if pivot_root . "$2"
- then
- # everything must move out of the old root, this process
- # is $2/bin/sh so it must die, IO is redirected
- # just in case - typically it will be to a device so it
- # won't hold the old root open.
- # the exec here is the first point at which the old root
- # is unused - before the exec regardless of the close of
- # 0,1,2 above ash still has *this* shell script open!
- # (it's on fd 10).
- # init closes all file descriptors, there's no point
- # supplying it with fds.
- # NOTE: this used to use $2/usr/sbin/chroot, however on
- # linux / is already . when the command is executed
- # therefore it is essential to use the local (new root)
- # chroot to ensure it gets the correct shared libraries.
- if test -x usr/sbin/chroot -o -h usr/sbin/chroot
- then
- chroot=usr/sbin/chroot
- elif test -x sbin/chroot -o -h sbin/chroot
- then
- chroot=sbin/chroot
- else
- chroot=chroot
- fi
- #
- exec "$chroot" . bin/sh -c "\
- test -x sbin/init && exec sbin/init
- test -x etc/init && exec etc/init
- test -x bin/init && exec bin/init
- mount -t sysfs sysfs /mnt
- umount /mnt
- sync;sync;sync
- exit 1"
- fi
- #
- # recovery - must restore the old root
- cd "$2"
- sbin/pivot_root . "$1"
- # cd is back to $1 - either pivot_root doesn't change it and the
- # chroot above was not executed, or pivot_root does change it and
- # has just changed it back!
- exec <>/dev/console >&0 2>&0
-}
-#
-# ifup "interface"
-# bring that interface up with the configured ip and other
-# information
-ifup(){
- local ip hostname router subnet iface HOSTNAME NETMASK BROADCAST
-
- iface="$1"
- ip="$(config ip)"
- hostname="$(config host)"
- router="$(config gateway)"
- broadcast=
-
- if test -n "$ip"
- then
- # only if an ip was specified
- subnet="$(config netmask)"
- else
- ip=192.168.1.77
- fi
-
- # First try udhcpc - note that the /boot/udhcpc.script
- # simply records the values returned and the udhcpc
- # is not left running so this will only work for
- # the lease length time!
- ifconfig "$iface" up
- if test "$(config boot)" != static
- then
- test -n "$hostname" && HOSTNAME="-H $hostname"
- # The script writes the required shell variable assignments
- # to file descriptor 9
- eval $(udhcpc -i "$iface" -n -q -r "$ip" $HOSTNAME -s /boot/udhcpc.script 9>&1 >/dev/null)
- fi
-
- test -n "$broadcast" && BROADCAST="broadcast $broadcast"
- test -n "$subnet" && NETMASK="netmask $subnet"
-
- if ifconfig "$iface" "$ip" $NETMASK $BROADCAST
- then
- for route in $router
- do
- route add default gw "$route" dev "$iface"
- done
- return 0
- else
- ifconfig "$iface" down
- return 1
- fi
-}
-#
-# ifdown "interface"
-# take the interface down
-ifdown(){
- ifconfig "$1" down
-}
-#
-# mountflash "flash device" "flash root directory" {mount options}
-# Finds and mounts the flash file system on the given directory
-mountflash(){
- local ffsdev ffsdir
-
- ffsdev="$1"
- test -n "$ffsdev" -a -b "$ffsdev" || {
- echo "$0: unable to find flash file system to copy ($ffsdev)" >&2
- return 1
- }
- shift
-
- ffsdir="$1"
- test -n "$ffsdir" -a -d "$ffsdir" || {
- echo "$0: mountflash $ffsdir: not a directory (internal error)" >&2
- return 1
- }
- shift
-
- mount -t jffs2 "$@" "$ffsdev" "$ffsdir" || {
- echo "$0: $ffsdev: unable to mount flash file system on $ffsdir" >&2
- return 1
- }
- return 0
-}
-#
-# umountflash [-r] "flash device"
-# unmount any instance of the given flash device, if -r is specified a mount on
-# root is an error, otherwise a mount on root is ignored (and remains).
-umountflash(){
- local rootok ffsno ffsdev
- rootok=1
- case "$1" in
- -r) rootok=
- shift;;
- esac
- #
- # The argument is ffsdev
- ffsdev="$1"
- ffsno="$(devio "<<$ffsdev" prd)"
- test -n "$ffsno" -a "$ffsno" -ge 0 || {
- echo "$0: $ffsdev: device number $ffsno is not valid, cannot continue." >&2
- return 1
- }
- #
- # Make sure that Flashdisk isn't mounted on /
- if test -z "$rootok" -a "$(devio "<</etc/init.d/sysconfsetup" prd)" -eq "$ffsno"
- then
- echo "$0: $ffsdev is mounted on /, use turnup ram" >&2
- return 1
- fi
- #
- # The function is currently always used interactively, so output
- echo "$0: umounting any existing mount of $ffsdev" >&2
- #
- # check each mount point, do this last first because otherwise nested
- # mounts of ffsdev cannot be umounted.
- ffs_umount() {
- local device mp type options stuff
-
- read device mp type options stuff
- test -z "$device" && return 0
-
- # handle following entries first
- ffs_umount || return 1
-
- # handle this entry, since this is currently only used for unmounting
- # the flash root partition we know a file which must exist...
- case "$mp/$type" in
- //jffs2);; # skip /
- */jffs2)test "$(devio "<<$mp/etc/init.d/sysconfsetup" prd 2>/dev/null)" -ne "$ffsno" ||
- umount "$mp" || {
- echo "$0: $mp: unable to umount $ffsdev" >&2
- return 1
- };;
- esac
-
- return 0
- }
- #
- ffs_umount </proc/mounts || {
- echo "$0: umount $ffsdev from all mount points then re-run $0" >&2
- return 1
- }
-
- return 0
-}
-
-#
-# uuid_by_partition
-# output a list of partitions and their UUIDs
-uuid_by_partition() {
- blkid -c /dev/null -s UUID | sed -n 's/^\([^:]*\): .*UUID="\([^"]*\)".*$/\1 \2/p'
-}
-
-#
-# partition_of uuid
-# return the partition corresponding to the UUID
-partition_of() {
- sed -n 's/^\([^ ]*\) '"$1"'$/\1/p'
-}
diff --git a/packages/openprotium-init/files/initscripts/fixfstab b/packages/openprotium-init/files/initscripts/fixfstab
deleted file mode 100644
index 67116a12fd..0000000000
--- a/packages/openprotium-init/files/initscripts/fixfstab
+++ /dev/null
@@ -1,91 +0,0 @@
-#!/bin/sh
-# validate /etc/fstab against the current UUID list in
-# /etc/uuid_by_partition
-#
-. /etc/default/functions
-pfile=/etc/uuid_by_partition
-
-#
-# use debug to find out what is going on
-test "$1" = start -o "$1" = debug || exit 0
-
-#
-# obtain the current list of parititions with UUIDs
-newlist="$(uuid_by_partition)"
-
-if test -r "$pfile"
-then
- # read the old list
- oldlist="$(cat "$pfile")"
- #
- # if it hasn't changed nothing need be done
- test "$newlist" = "$oldlist" && exit 0
- #
- # it has changed, but this only matters if
- # a previously existing uuid has moved, build
- # a list of old device vs new device for every
- # uuid which has moved
- changedlist="$(
- { echo "$oldlist"
- echo "$newlist"
- } | awk 'device[$2] == ""{device[$2] = $1}
- device[$2] != $1{print device[$2], $1}')"
-
- if test -n "$changedlist"
- then
- # at least one partition has moved, scan the
- # current fstab to see if it has a reference
- # to this partition
- changedfstab="$(
- { echo "$changedlist"
- echo '#fstab'
- cat /etc/fstab
- } | awk 'BEGIN{list=1}
- list==1 && $0=="#fstab"{list=0; continue}
- list==1{new[$1] = $2; continue}
- new[$1] != ""{print $1, new[$1]}')"
-
- # if this list is not empty edit the fstab
- if test -n "$changedfstab"
- then
- rm -f /tmp/fstab.$$
- # if the edit fails then do not overwrite the old
- # partition list - just exit with an error
- { echo "$changedlist"
- echo '#fstab'
- cat /etc/fstab
- } | awk 'BEGIN{list=1}
- list==1 && $0=="#fstab"{list=0; continue}
- list==1{new[$1] = $2; continue}
- new[$1] != ""{$1 = new[$1]}
- {print}' >/tmp/fstab.$$ || {
- if test "$1" = start
- then
- logger -s "/etc/init.d/fixfstab: /tmp/fstab.$$: awk failed"
- else
- echo "debug: awk script failed with:" >&2
- echo "$changedlist" >&2
- echo "output in /tmp/fstab.$$" >&2
- fi
- exit 1
- }
-
- if test "$1" = start
- then
- mv /tmp/fstab.$$ /etc/fstab || {
- logger -s "/etc/init.d/fixfstab: /tmp/fstab.$$: update failed"
- exit 1
- }
- else
- echo "debug: fstab changed:"
- diff -u /etc/fstab /tmp/fstab.$$
- fi
- fi
- fi
-fi
-
-# write the new list to the file, only if we
-# are doing something...
-test "$1" = start && echo "$newlist" >"$pfile"
-
-exit 0
diff --git a/packages/openprotium-init/files/initscripts/loadmodules.sh b/packages/openprotium-init/files/initscripts/loadmodules.sh
deleted file mode 100644
index c5d44d1067..0000000000
--- a/packages/openprotium-init/files/initscripts/loadmodules.sh
+++ /dev/null
@@ -1,11 +0,0 @@
-#!/bin/sh
-
-. /etc/default/modulefunctions # Load module loading logic
-
-loadnetmods
-
-loaddiskmods
-
-loadmiscmods
-
-exit 0
diff --git a/packages/openprotium-init/files/initscripts/rmrecovery b/packages/openprotium-init/files/initscripts/rmrecovery
deleted file mode 100644
index eec822b154..0000000000
--- a/packages/openprotium-init/files/initscripts/rmrecovery
+++ /dev/null
@@ -1,4 +0,0 @@
-#!/bin/sh
-# Run to remove /.recovery if the boot seems to have succeeded
-test -e /.recovery && rm -f /.recovery
-exit 0
diff --git a/packages/openprotium-init/files/initscripts/sysconfsetup b/packages/openprotium-init/files/initscripts/sysconfsetup
deleted file mode 100644
index a4f9074d9c..0000000000
--- a/packages/openprotium-init/files/initscripts/sysconfsetup
+++ /dev/null
@@ -1,46 +0,0 @@
-#!/bin/sh
-# This script is run once when the system first boots. Its sole
-# purpose is to create /etc/default/sysconf (the overall system
-# configuration file) and other files derived from this.
-#
-# The script runs immediately after S10checkroot.sh - this is the
-# point at which the rootfs will be mounted rw even if the kernel
-# booted with it ro.
-#
-# rm or mv the file (/etc/default/sysconf) to recreate it, run this
-# script with the reload option to overwrite the system files. The
-# configuration files described in sysconf_reload (in
-# /sbin/sysconf) will be overwritten on reload.
-#
-# start: standard startup, do a complete (auto) restore if necessary
-# reinit: always do a complete auto restore
-# reload: just reload sysconf (no config files!)
-#
-# /etc/default/functions contains useful utility functions - it's
-# in a separate file so that it can be loaded by any script
-. /etc/default/functions
-load_functions sysconf || exit 1
-#
-case "$1" in
-start) test -s /etc/default/sysconf || {
- if sysconf_read
- then
- if sysconf_valid
- then
- sysconf_restore auto
- else
- sysconf_reload
- fi
- else
- sysconf_default
- sysconf_reload
- fi
- };;
-
-reload) test -s /etc/default/sysconf || sysconf_read || sysconf_default
- sysconf_reload;;
-
-reinit) sysconf_restore auto;;
-
-*) ;;
-esac
diff --git a/packages/openprotium-init/files/initscripts/syslog.buffer b/packages/openprotium-init/files/initscripts/syslog.buffer
deleted file mode 100644
index 9285c02946..0000000000
--- a/packages/openprotium-init/files/initscripts/syslog.buffer
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-#
-# Invoke the syslog startup if the configuration
-# uses (only) 'buffer' as the DESTINATION
-DESTINATION=
-test -f /etc/syslog.conf && . /etc/syslog.conf
-doit=
-
-for d in $DESTINATION
-do
- case "$d" in
- buffer) doit=1;;
- file) exit 0;;
- remote) exit 0;;
- *) echo "/etc/syslog.conf: $d: unknown destination" >&2
- exit 1;;
- esac
-done
-
-test -n "$doit" -a -x /etc/init.d/syslog &&
- exec /etc/init.d/syslog "$@"
-
-exit 0
diff --git a/packages/openprotium-init/files/initscripts/syslog.file b/packages/openprotium-init/files/initscripts/syslog.file
deleted file mode 100644
index 80ee5f0174..0000000000
--- a/packages/openprotium-init/files/initscripts/syslog.file
+++ /dev/null
@@ -1,23 +0,0 @@
-#!/bin/sh
-#
-# Invoke the syslog startup if the configuration
-# uses 'file' (and, optionally, buffer) as the DESTINATION
-DESTINATION=
-test -f /etc/syslog.conf && . /etc/syslog.conf
-doit=
-
-for d in $DESTINATION
-do
- case "$d" in
- buffer) :;;
- file) doit=1;;
- remote) exit 0;;
- *) echo "/etc/syslog.conf: $d: unknown destination" >&2
- exit 1;;
- esac
-done
-
-test -n "$doit" -a -x /etc/init.d/syslog &&
- exec /etc/init.d/syslog "$@"
-
-exit 0
diff --git a/packages/openprotium-init/files/initscripts/syslog.network b/packages/openprotium-init/files/initscripts/syslog.network
deleted file mode 100644
index 3d7f4ab8e6..0000000000
--- a/packages/openprotium-init/files/initscripts/syslog.network
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/sh
-#
-# Invoke the syslog startup if the configuration
-# uses 'remote', or doesn't use 'buffer' or 'file'
-DESTINATION=
-test -f /etc/syslog.conf && . /etc/syslog.conf
-doit=
-doneit=
-
-for d in $DESTINATION
-do
- case "$d" in
- buffer) doneit=1;;
- file) doneit=1;;
- remote) doit=1;;
- *) doit=1
- echo "/etc/syslog.conf: $d: unknown destination" >&2
- exit 1;;
- esac
-done
-
-# One of doneit or doit is set unless the DESTINATION value
-# is empty (which is probably an error), let syslog handle
-# the error.
-test \( -n "$doit" -o -z "$doneit" \) -a -x /etc/init.d/syslog &&
- exec /etc/init.d/syslog "$@"</